<?php

class TipoNegocioSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertTipoNegocio(){
    
    $o_TipoNegocioBL = new TipoNegocioBL();
    return $o_TipoNegocioBL->insertarTipoNegocio($this->getObjParamBean());
    
  }
  
  public function insertUsuario($o_UsuarioBean){
    $o_UsuarioBL = new UsuarioBL();
    $o_UsuarioBL->insertarUsuario($o_UsuarioBean);
  }
   
  public function eliminarTipoNegocio(){
    
    $o_TipoNegocioBL = new TipoNegocioBL();
    return $o_TipoNegocioBL->eliminarTipoNegocio($this->getObjParamBean());
    
  }
  
  public function actualizarTipoNegocio(){
    
    $o_TipoNegocioBL = new TipoNegocioBL();
    return $o_TipoNegocioBL->modificarTipoNegocio($this->getObjParamBean());
    
  }
  
  public function getTipoTipoNegocio(){
  
    $o_TipoTipoNegocioBL = new TipoTipoNegocioBL();
    return $o_TipoTipoNegocioBL->busquedaTipoTipoNegocio($this->getObjParamBean());
  
  }
  
  public function getTipoNegocio(){
  
    $o_TipoNegocioBL = new TipoNegocioBL();
    return $o_TipoNegocioBL->getTipoNegocio($this->getObjParamBean());
  
  }
  
  public function getGrado(){
    $o_GradoBL = new GradoBL();
    return $o_GradoBL->busquedaGrado(new GradoBean());
    
  }
   public function getFacultad(){
    
    $o_FacultadBL = new FacultadBL();
    return $o_FacultadBL->getFacultad($this->getObjParamBean());
  }
  
  public function getEspecialidad(){
    
    $o_EspecialidadBL = new EspecialidadBL();
    return $o_EspecialidadBL->getEspecialidad($this->getObjParamBean());
  }

}